package com.ruoyi.project.service;

import java.util.List;
import com.ruoyi.project.domain.TrsPolicyWords;

/**
 * 政治常识Service接口
 * 
 * @author ruoyi
 * @date 2025-03-21
 */
public interface ITrsPolicyWordsService 
{
    /**
     * 查询政治常识
     * 
     * @param id 政治常识主键
     * @return 政治常识
     */
    public TrsPolicyWords selectTrsPolicyWordsById(Long id);

    /**
     * 查询政治常识列表
     * 
     * @param trsPolicyWords 政治常识
     * @return 政治常识集合
     */
    public List<TrsPolicyWords> selectTrsPolicyWordsList(TrsPolicyWords trsPolicyWords);

    /**
     * 新增政治常识
     * 
     * @param trsPolicyWords 政治常识
     * @return 结果
     */
    public int insertTrsPolicyWords(TrsPolicyWords trsPolicyWords);

    /**
     * 修改政治常识
     * 
     * @param trsPolicyWords 政治常识
     * @return 结果
     */
    public int updateTrsPolicyWords(TrsPolicyWords trsPolicyWords);

    /**
     * 批量删除政治常识
     * 
     * @param ids 需要删除的政治常识主键集合
     * @return 结果
     */
    public int deleteTrsPolicyWordsByIds(String ids);

    /**
     * 删除政治常识信息
     * 
     * @param id 政治常识主键
     * @return 结果
     */
    public int deleteTrsPolicyWordsById(Long id);

    String importWords(List<TrsPolicyWords> wordList, boolean updateSupport, Long userId);
}
